
From: Greg KH <greg@kroah.com>

ChangeSet 1.1348.14.3, 2003/06/23 14:44:35-07:00, willy@debian.org

[PATCH] PCI: unconfuse arch/i386/pci/Makefile

I was looking in this Makefile for link order when my head began to hurt.
Apparently you can't have both NUMAQ and VISWS selected, so getting rid
of all the ifdefs/ifndefs like this should work.




 arch/i386/pci/Makefile |   28 +++++++---------------------
 1 files changed, 7 insertions(+), 21 deletions(-)

diff -puN arch/i386/pci/Makefile~pci-3 arch/i386/pci/Makefile
--- 25/arch/i386/pci/Makefile~pci-3	2003-06-23 22:45:37.000000000 -0700
+++ 25-akpm/arch/i386/pci/Makefile	2003-06-23 22:45:37.000000000 -0700
@@ -1,27 +1,13 @@
-obj-y		:= i386.o
+obj-y				:= i386.o
 
 obj-$(CONFIG_PCI_BIOS)		+= pcbios.o
 obj-$(CONFIG_PCI_DIRECT)	+= direct.o
 
-obj-$(CONFIG_X86_VISWS)		+= visws.o
+pci-y				:= fixup.o
+pci-$(CONFIG_ACPI_PCI)		+= acpi.o
+pci-y				+= legacy.o irq.o
 
-ifdef	CONFIG_X86_NUMAQ
-obj-y		+= numa.o
-else
-obj-y		+= fixup.o
+pci-$(CONFIG_X86_VISWS)		:= visws.o fixup.o
+pci-$(CONFIG_X86_NUMAQ)		:= numa.o irq.o
 
-ifdef	CONFIG_ACPI_PCI
-obj-y		+= acpi.o
-endif
-
-ifndef	CONFIG_X86_VISWS
-obj-y		+= legacy.o
-endif
-
-endif		# CONFIG_X86_NUMAQ
-
-ifndef	CONFIG_X86_VISWS
-obj-y		+= irq.o
-endif
-
-obj-y		+= common.o
+obj-y				+= $(pci-y) common.o

_
